
body.gallery-page {
    {
        font-family: Arial, sans-serif;
        margin: 0;
        padding: 20px;
        background-color: #f4f4f4;
    }
    .sorting-controls {
        display: flex;
        justify-content: center;
        margin: 30px;
        gap: 10px;
        flex-wrap: wrap;
    }
    .sort-btn {
        padding: 10px 15px;
        background-color: #ffffff;
        border: none;
        cursor: pointer;
        transition: all 0.3s ease;
    }
    .sort-btn.active {
        background-color: #0cb2c5;
        color: white;
    }
    .gallery {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        gap: 40px;
        margin: 30px auto;
        max-width: 1600px;
        padding:20px 25px;
    }
    .image-container {
        text-align: center;
        max-width: 280px;
        display: none; /* Initially hide all */
    }
    .image-container.visible {
        display: block;
    }
    .thumbnail {
        width: 280px;
        height: 280px;
        object-fit: cover;
        cursor: pointer;
        transition: transform 0.3s ease;
    }
    .thumbnail:hover {
        transform: scale(1.05);
    }
    .image-description p {
        margin-top: 7px;
        font-size: 1rem;
        color: #ffffff;
    }
    #lightbox {
        display: none;
        position: fixed;
        z-index: 1000;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0,0,0,0.8);
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }
    #lightbox-img {
        max-width: 90%;
        max-height: 80%;
        object-fit: contain;
    }
    #lightbox-description {
        color: white;
        margin-top: 15px;
        max-width: 80%;
        text-align: center;
    }
    .lightbox-btn {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        background-color: rgba(255,255,255,0.2);
        color: white;
        border: none;
        font-size: 2rem;
        padding: 30px 18px 33px;
        cursor: pointer;
        transition: background-color 0.3s ease;
    }
    .lightbox-btn:hover {
        background-color: rgba(255,255,255,0.4);
    }
    #prev-btn {
        left: 20px;
    }
    #next-btn {
        right: 20px;
    }
    #close-btn {
        position: absolute;
        top: 20px;
        right: 20px;
        background: none;
        color: white;
        font-size: 2rem;
        border: none;
        cursor: pointer;
    }
